# The FinancialAccount object

### The FinancialAccount object

```json
{
  "id": "fa_1MtZmL2eZvKYlo2Cer6cdwEC",
  "object": "treasury.financial_account",
  "active_features": [
    "financial_addresses.aba",
    "outbound_payments.ach",
    "outbound_payments.us_domestic_wire"
  ],
  "balance": {
    "cash": {
      "usd": 0
    },
    "inbound_pending": {
      "usd": 0
    },
    "outbound_pending": {
      "usd": 0
    }
  },
  "country": "US",
  "created": 1680714349,
  "financial_addresses": [
    {
      "aba": {
        "account_holder_name": "Jenny Rosen",
        "account_number_last4": "7890",
        "bank_name": "STRIPE TEST BANK",
        "routing_number": "0000000001"
      },
      "supported_networks": [
        "ach",
        "us_domestic_wire"
      ],
      "type": "aba"
    }
  ],
  "livemode": true,
  "metadata": null,
  "pending_features": [],
  "restricted_features": [],
  "status": "open",
  "status_details": {
    "closed": null
  },
  "supported_currencies": [
    "usd"
  ],
  "features": {}
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `active_features` (array of enums)
  The array of paths to active Features in the Features hash.

- [`balance`](https://docs.stripe.com/api/treasury/financial_accounts/object.md?query=balance) (object)
  The single multi-currency balance of the FinancialAccount. Positive values represent money that belongs to the user while negative values represent funds the user owes. Currently, FinancialAccounts can only carry balances in USD.

- `country` (string)
  Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- [`features`](https://docs.stripe.com/api/treasury/financial_accounts/object.md?query=features) (object, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The features and their statuses for this FinancialAccount.

- [`financial_addresses`](https://docs.stripe.com/api/treasury/financial_accounts/object.md?query=financial_addresses) (array of objects)
  The set of credentials that resolve to a FinancialAccount.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `metadata` (object, nullable)
  Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

- `nickname` (string, nullable)
  The nickname for the FinancialAccount.

- `pending_features` (array of enums)
  The array of paths to pending Features in the Features hash.

- [`platform_restrictions`](https://docs.stripe.com/api/treasury/financial_accounts/object.md?query=platform_restrictions) (object, nullable)
  The set of functionalities that the platform can restrict on the FinancialAccount.

- `restricted_features` (array of enums)
  The array of paths to restricted Features in the Features hash.

- `status` (enum)
  Status of this FinancialAccount.
Possible enum values:
  - `closed`
    The FinancialAccount is closed.

  - `open`
    The FinancialAccount is open.

- [`status_details`](https://docs.stripe.com/api/treasury/financial_accounts/object.md?query=status_details) (object)
  Details related to the status of this FinancialAccount.

- `supported_currencies` (array of enums)
  The currencies the FinancialAccount can hold a balance in. Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
